import request from '@/utils/request'

export function InitRolefunction(pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单系统模块_项目角色_查询数据_MESWORK',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function deleteData(code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '菜单系统模块_项目角色_删除_MESWORK',
      param: '角色编号=' + code + '=int'
    }
  })
}
export function searchTable(num, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单系统模块_项目角色_查询数据_MESWORK',
      param: '角色功能=' + num + '=string',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function addData(code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '菜单系统模块_项目角色_增加_MESWORK',
      param: '角色功能=' + code + '=string'
    }
  })
}
export function addData2(code1, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: 2,
      name: '菜单系统模块_项目角色_修改数据_MESWORK',
      param: '角色功能=' + code1 + '&角色编号=' + num1
    }
  })
}

